<?


if (is_file(H."files/user_files/screens/$file_id[id].png"))
{

echo "<img src='/files/user_files/screens/$file_id[id].png' alt='Скрин...' /><br />\n";
}
elseif (function_exists('imagecreatefromstring'))
{

$imgc=imagecreatefromstring(file_get_contents($file));
$img_x=imagesx($imgc);
$img_y=imagesy($imgc);
if ($img_x==$img_y)
{
$dstW=200; // ширина
$dstH=200; // высота 
}
elseif ($img_x>$img_y)
{
$prop=$img_x/$img_y;
$dstW=200;
$dstH=ceil($dstW/$prop);
}
else
{
$prop=$img_y/$img_x;
$dstH=200;
$dstW=ceil($dstH/$prop);
}

$screen=imagecreatetruecolor($dstW, $dstH);
$black = imagecolorallocate ($screen, 0, 0, 0);
imagecolortransparent($screen,$black);
imagecopyresampled($screen, $imgc, 0, 0, 0, 0, $dstW, $dstH, $img_x, $img_y);
imagedestroy($imgc);
$screen=img_copyright($screen); // наложение копирайта
imagepng($screen,H."files/user_files/screens/$file_id[id].png");
imagedestroy($screen);
echo "<img src='/files/user_files/screens/$file_id[id].png' alt='Скрин...' /><br />\n";
}

?>